PARTED(8)

BEZEICHNUNG
parted - ein Programm zur Bearbeitung von Partitionen

ÜBERSICHT
parted [Optionen] [Gerät [Befehl [Optionen…]…]]

BESCHREIBUNG
parted ist ein Programm zum Bearbeiten von Datenträgerpartitionen. Es unterstützt mehrere Formate von Partitionstabellen, einschließlich MS-DOS und GPT. Es ist verwendbar zum Bereitstellen von Platz für neue Betriebssysteme, zum Neuordnen des Plattenplatzes und zum Kopieren von Daten auf neue Festplatten.

Diese Handbuchseite ist eine Kurzbeschreibung von parted. Die vollständige Dokumentation ist im Paket im GNU-Info-Format enthalten.

OPTIONEN

-h, --help
    Hilfe anzeigen

-l, --list
    Partitionslayout auf allen Blockgeräten auflisten

-m, --machine
    Maschinenlesbare Ausgaben anzeigen

-j, --json
    zeigt die Ausgabe im JSON-Format an.

-s, --script
    Nie um Eingriff des Benutzers bitten

-f, --fix
    antwortet im Skriptmodus auf Ausnahmen automatisch mit »fix«.

-v, --version
    Version anzeigen

-a Ausrichtungstyp, --align Ausrichtungstyp
    Ausrichtung für neu angelegte Partitionen festlegen. Gültige Ausrichtungstypen sind:

    none
        Die vom jeweiligen Datenträgertyp erlaubte minimale Ausrichtung verwenden.

    cylinder
        Partitionen an Zylindern ausrichten.

    minimal
        Minimale Ausrichtung, wie durch die topologischen Informationen der Platte angegeben. Dies und der Optimalwert verwenden die von der Platte selbst gemeldeten Layout-Informationen zur Ausrichtung der Adressen der logischen Partitionstabelle an den tatsächlichen physischen Blöcken der Platte. Der Minimalwert ist die minimale Ausrichtung, die für die saubere Ausrichtung der Partition an den physischen Blöcken nötig ist, was Einschränkungen der Performance bewirkt.

    optimal
        Optimale Ausrichtung, wie durch die topologischen Informationen der Platte angegeben. Dies bewirkt eine Ausrichtung an einem Vielfachen der physischen Blockgröße in einer Weise, die optimale Performance gewährleistet.

BEFEHLE

[Gerät]
    gibt das zu verwendende Blockgerät an. Wenn nichts angegeben wird, verwendet parted den ersten Block des ersten gefundenen Blockgeräts.

[Befehl [Optionen]]
    gibt den auszuführenden Befehl an. Falls kein Befehl angegeben wird, öffnet parted eine Eingabeaufforderung. Mögliche Befehle sind:

    help [Befehl]
        zeigt eine allgemeine Hilfe an, oder Hilfe zu Befehl, falls angegeben.

    align-check Typ Partition
        Überprüfen, ob die Partition die Ausrichtungsbeschränkungen für Typ erfüllt. Typ ist entweder »minimal« oder »optimal«.

    mklabel Disklabel-Typ
        erstellt ein neues Disklabel (Partitionstabelle) des Typs Disklabel-Typ. Disklabel-Typ sollte »aix«, »amiga«, »bsd«, »dvh«, »gpt«, »loop«, »mac«, »msdos«, »pc98« oder »sun« sein.

    mkpart [Partitionstyp Name Dateisystemtyp] Beginn Ende
        erzeugt eine neue Partition. Der Partitionstyp darf nur anhand von MSDOS- und DVH-Partitionstabellen angegeben werden, er sollte »primary«, »logical« oder »extended« sein. Der Name ist für GPT-Partitionstabellen erforderlich, der Dateisystemtyp ist optional. Der Dateisystemtyp kann einer von »btrfs«, »ext2«, »ext3«, »ext4«, »fat16«, »fat32«, »hfs«, »hfs+«, »linux-swap«, »ntfs«, »reiserfs«, »udf« oder »xfs« sein.

    name Partition Bezeichnung
        Den Namen der Partition als Name festlegen. Diese Option ist nur für Mac-, PC-98- und GPT-Disklabels verfügbar. Der Name kann in Anführungszeichen gesetzt werden, falls notwendig. Abhängig von der Shell kann es außerdem erforderlich sein, den Namen in Hochkommata einzuschließen, damit die Shell die Anführungszeichen nicht entfernt.

    print Ausgabetyp
        zeigt die Partitionstabelle an. Der Ausgabetyp ist optional und kann entweder »devices«, »free«, »list« oder »all« sein.

    quit
        parted beenden.

    rescue Beginn Ende
        Eine verlorene Partition wiederherstellen, die irgendwo zwischen Beginn und Ende liegt. Falls eine Partition gefunden wird, fragt parted, ob Sie dafür einen Eintrag in der Partitionstabelle erstellen wollen.

    resizepart Partition Ende
        ändert die Ende-Position einer Partition. Beachten Sie, dass dies keine Auswirkungen auf ein eventuell in der Partition befindliches Dateisystem hat.

    rm Partition
        Partition löschen.

    select Gerät
        Gerät als das aktuell zu bearbeitende Gerät wählen. Gerät sollte üblicherweise ein Linux-Festplattengerät sein, kann aber auch eine Partition, ein Software-RAID-Gerät oder ein logischer Datenträger (LVM) sein, falls erforderlich.

    set Partition Flag Status
        ändert den Status von Flag auf Partition in Status. Unterstützte Flags sind: »boot«, »root«, »swap«, »hidden«, »raid«, »lvm«, »lba«, »legacy_boot«, »irst«, »msftres«, »esp«, »chromeos_kernel«, »bls_boot«, »linux-home«, »bios_grub« und »palo«. Status sollte entweder »on« oder »off« sein.

    unit Einheit
        legt Einheit als die Einheit für die Anzeige von Positionen und Größen fest, sowie für die Interpretation der Benutzereingaben, wenn der Benutzer keine bestimmte Einheit angibt. Einheit kann »s« (Sektoren), »B« (Byte), »kB«, »MB«, »KiB«, »MiB«, »GB«, »GiB«, »TB«, »TiB«, »%« (Prozentsatz bezogen auf die Gerätegröße), »cyl« (Zylinder), »chs« (Zylinder, Köpfe, Sektoren) oder »compact« sein (Megabyte für die Eingabe und eine menschenlesbare Form für die Ausgabe).

    toggle Partition Flag
        ändert den Status von Flag der Partition.

    disk_set Flag Status
        ändert ein Flag auf der Platte in den angegebenen Status. Ein Flag kann entweder »on« oder »off« sein. Abhängig von der gewählten Festplattenbezeichnung sind einige oder alle dieser Flags verfügbar. Folgende Flags werden unterstützt: »pmbr_boot« auf GPT zur Aktivierung des Bootfähig-Flags auf der geschützten MBR-Partition von GPT.

    disk_toggle Flag
        ändert den Status von Flag der Platte.

    version
        Versions- und Copyright-Informationen anzeigen.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-parted@gnu.org.

SIEHE AUCH
fdisk(8), mkfs(8), das Programm parted ist im Handbuch GNU partitioning software im info(1)-Format, das mit dem Parted-Doc-Debian-Paket verteilt wird, vollständig dokumentiert.

AUTOR
Diese Handbuchseite wurde von Timshel Knoll (timshel@debian.org) für das Debian GNU/Linux-System geschrieben (darf aber auch von anderen verwendet werden).

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).